=head1 NAME

Gtk2::RecentAction

=cut

=for position SYNOPSIS

=head1 SYNOPSIS

  my $action = Gtk2::RecentAction->new (name => name,
                                        label => label,
                                        tooltip => tooltip,
                                        stock-id => stock_id,
                                        recent-manager => manager);

Note that the constructor slightly deviates from the convenience constructor in
the C API.  Instead of passing in a list of values for name, label, tooltip,
stock-id and value, you just use key => value pairs like with
Glib::Object::new.

=cut



=head1 HIERARCHY

  Glib::Object
  +----Gtk2::Action
       +----Gtk2::RecentAction



=cut

=head1 INTERFACES

  Gtk2::Buildable
  Gtk2::RecentChooser



=cut


=head1 METHODS

=head2 boolean = $action-E<gt>B<get_show_numbers> 

=head2 $action-E<gt>B<set_show_numbers> ($show_numbers)

=over

=item * $show_numbers (boolean) 

=back



=cut


=head1 PROPERTIES

=over

=item 'show-numbers' (boolean : readable / writable)

Whether the items should be displayed with a number

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Gtk2::Action>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

